org.apache.solr.client.solrj.io

## Class CloudSolrStream.TupleWrapper

- java.lang.Object
- - org.apache.solr.client.solrj.io.CloudSolrStream.TupleWrapper

All Implemented Interfaces:
  Comparable<CloudSolrStream.TupleWrapper>

Enclosing class:
  CloudSolrStream

    protected class CloudSolrStream.TupleWrapper
    extends Object
    implements Comparable<CloudSolrStream.TupleWrapper>

### Constructor Summary

Constructors
Constructor and Description
`CloudSolrStream.TupleWrapper(SolrStream stream, Comparator comp)`

### Method Summary

Methods
`int` `compareTo(CloudSolrStream.TupleWrapper w)`
`boolean` `equals(Object o)`
`Tuple` `getTuple()`
`boolean` `next()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CloudSolrStream.TupleWrapper

    public CloudSolrStream.TupleWrapper(SolrStream stream,
                                Comparator comp)

### Method Detail

#### compareTo

    public int compareTo(CloudSolrStream.TupleWrapper w)

Specified by:
  `compareTo` in interface `Comparable<CloudSolrStream.TupleWrapper>`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### getTuple

    public Tuple getTuple()

#### next

    public boolean next()
                 throws IOException

Throws:
  `IOException`